Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jain.protocol.ss7.oam.mtp3
Interface ScreeningTableMBean

public abstract interface ScreeningTableMBean
extends Mtp3ManagedObjectMBean

This interface defines the methods of an STP Screening Table Managed Bean(MBean). This MBean allows the optional SS7 functionality for an STP to identify and to handle unauthorized SS7 messages. Since the prevention of unauthorized use of an STP is an optional function this MBean may be optionally implemented also.

It is possible to inhibit/allow messages destined for another signalling point (SP) based on any one or combination of the following options (ITU Q.705, Section 8.2):

- SCR_TYPE_INCOMING_LS_TO_DPC
  To inhibit/allow STP access by a combination of designated incoming link sets to designated DPCs.
- SCR_TYPE_OUTGOING_LS_TO_DPC
  To inhibit/allow STP access by a combination of designated outgoing link sets to designated DPCs.
- SCR_TYPE_OPC_TO_DPC
  To inhibit/allow STP access by examination of OPC and DPC combination in the incoming STP message.

The option to be used is configurable using the setScreeningType() method.

An STP identifying unauthorized SS7 messages should be able, on a per linkset or per signalling point code basis, to

1. provide all unauthorized SS7 messages with the same handling as authorized traffic; or
2. discard all unauthorized SS7 messages.

There are no statistics that can be collected for this MBean

The following Alarms can be emitted by this MBean

- ALARM_MO_CREATED
- ALARM_MO_DELETED
- ALARM_MO_ATTRIBUTE_VALUE_CHANGED

The following Errors can be emitted by this MBean

- NON_OAM_RELATED_ERROR

Relationship between the MTP3 JAIN OAM MBeans

Version:
  1.1
Author:
  Colm Hayden & Phelim O'Doherty

Field Summary
`static int` | `SCR_TYPE_INCOMING_LS_TO_DPC` To inhibit/allow STP access by a combination of designated incoming link sets to designated DPCs.
`static int` | `SCR_TYPE_OPC_TO_DPC` To inhibit/allow STP access by examination of OPC and DPC combination in the incoming STP message.
`static int` | `SCR_TYPE_OUTGOING_LS_TO_DPC` To inhibit/allow STP access by a combination of designated outgoing link sets to designated DPCs.

Fields inherited from class jain.protocol.ss7.oam.OamManagedObjectMBean
`OBJECT_TYPE_CONCERNED_AREA, OBJECT_TYPE_GLOBAL_TITLE_ENTRY, OBJECT_TYPE_LINK, OBJECT_TYPE_LINKSET, OBJECT_TYPE_MTP2_LAYER_MANAGER, OBJECT_TYPE_MTP2_SAP, OBJECT_TYPE_MTP2_TIMER_PROFILE, OBJECT_TYPE_MTP3_LAYER_MANAGER, OBJECT_TYPE_MTP3_SAP, OBJECT_TYPE_MTP3_TIMER_PROFILE, OBJECT_TYPE_OAM_TIMER_VAL, OBJECT_TYPE_OWN_SIGNALLING_POINT, OBJECT_TYPE_ROUTE, OBJECT_TYPE_ROUTESET, OBJECT_TYPE_SCCP_ENTITY_SET, OBJECT_TYPE_SCCP_LAYER_MANAGER, OBJECT_TYPE_SCCP_ROUTING_CONTROL, OBJECT_TYPE_SCCP_SAP, OBJECT_TYPE_SCCP_TIMER_PROFILE, OBJECT_TYPE_SCREENING_TABLE, OBJECT_TYPE_TCAP_LAYER_MANAGER, OBJECT_TYPE_TCAP_NODE`

Fields inherited from class java.io.Serializable
`serialVersionUID`

Method Summary
`java.lang.Integer` | `getScreeningType()` Returns the screening type option that is in use.
`ObjectName[]` | `getValidList(ObjectName destSignallingPoint)` Returns an array of ObjectNames representing either all of the allowed Linksets or all of the allowed Originating Point Codes for the specified destination point code. The type of Objects that is returned in the array of ObjectNames is dependent on the screening type option.
`void` | `setScreeningType(java.lang.Integer screeningType)` Sets the screening Type option to be used.
`void` | `setValidList(ObjectName destSignallingPoint, ObjectName[] authorisedList)` Sets an array of Objects representing either: all of the allowed Linksets, or all of the allowed Originating Point Codes for the specified destination point code. The type of Object that is supplied in the Object array (identified from the array of ObjectNames) is dependent on the screening type option.

Methods inherited from interface jain.protocol.ss7.oam.OamManagedObjectMBean
`getName, getObjectId, getObjectName, getObjectType, getProprietaryInformation, getStatistic, setName, startPollingStatistic, stopPollingStatistic`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Field Detail

### SCR_TYPE_INCOMING_LS_TO_DPC

    public static final int SCR_TYPE_INCOMING_LS_TO_DPC

  To inhibit/allow STP access by a combination of designated incoming link sets to designated DPCs.

### SCR_TYPE_OUTGOING_LS_TO_DPC

    public static final int SCR_TYPE_OUTGOING_LS_TO_DPC

  To inhibit/allow STP access by a combination of designated outgoing link sets to designated DPCs.

### SCR_TYPE_OPC_TO_DPC

    public static final int SCR_TYPE_OPC_TO_DPC

  To inhibit/allow STP access by examination of OPC and DPC combination in the incoming STP message.

Method Detail

### setScreeningType

    public void setScreeningType(java.lang.Integer screeningType)
                          throws java.lang.IllegalArgumentException

  Sets the screening Type option to be used.
  Parameters:
    `screeningType` - either:

    - SCR_TYPE_INCOMING_LS_TO_DPC
      To inhibit/allow STP access by a combination of designated incoming link sets to designated DPCs.
    - SCR_TYPE_OUTGOING_LS_TO_DPC
      To inhibit/allow STP access by a combination of designated outgoing link sets to designated DPCs.
    - SCR_TYPE_OPC_TO_DPC
      To inhibit/allow STP access by examination of OPC and DPC combination in the incoming STP message.
  Throws:
    java.lang.IllegalArgumentException - - if the supplied screening type is not one of the defined screening types

### getScreeningType

    public java.lang.Integer getScreeningType()

  Returns the screening type option that is in use.
  Returns:
    either:

    - SCR_TYPE_INCOMING_LS_TO_DPC
      To inhibit/allow STP access by a combination of designated incoming link sets to designated DPCs.
    - SCR_TYPE_OUTGOING_LS_TO_DPC
      To inhibit/allow STP access by a combination of designated outgoing link sets to designated DPCs.
    - SCR_TYPE_OPC_TO_DPC
      To inhibit/allow STP access by examination of OPC and DPC combination in the incoming STP message.

### getValidList

    public ObjectName[] getValidList(ObjectName destSignallingPoint)

  Returns an array of ObjectNames representing either all of the allowed Linksets or all of the allowed Originating Point Codes for the specified destination point code.
  The type of Objects that is returned in the array of ObjectNames is dependent on the screening type option.
  Parameters:
    `destSignallingPoint` - the ObjectName of the destination Signalling Point for which the allowed list is to be returned.
  Returns:
    either:

    - the allowed Linksets if the screening type is either:

      - SCR_TYPE_INCOMING_LS_TO_DPC
      - SCR_TYPE_OUTGOING_LS_TO_DPC
      or
    - the allowed Originating Signalling Points if the screening type is:

      - SCR_TYPE_OPC_TO_DPC

### setValidList

    public void setValidList(ObjectName destSignallingPoint,
                             ObjectName[] authorisedList)
                      throws TooManyInstancesException

  Sets an array of Objects representing either:

  - all of the allowed Linksets, or
  - all of the allowed Originating Point Codes
  for the specified destination point code.
  The type of Object that is supplied in the Object array (identified from the array of ObjectNames) is dependent on the screening type option. 0
  Parameters:
    `authorisedList` - an array of ObjectNames identifing the authorised list for the Destination Point Code, either:

    - any array of the allowed Linksets if the screening type is either:

      - SCR_TYPE_INCOMING_LS_TO_DPC
      - SCR_TYPE_OUTGOING_LS_TO_DPC
      or
    - an array of the allowed Originating Signalling Points if the screening type is:

      - SCR_TYPE_OPC_TO_DPC
    `destSignallingPoint` - an ObjectName identifing the destination Signalling Point for which the allowed list is to be returned.
  Throws:
    TooManyInstancesException - - if the authorised list is too large for this implementation

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

11 August 2000

Copyright - 2000 Sun Microsystems